<div align="center">
  <a href="https://gitlab1.ptb.de/d-ptb/d-si/xsd-d-si" traget="_blank"><img src="wiki/doc/D-SI1strict.PNG" alt="D-SI Logo" width="500"/></a>
  <br />
  XSD Version 2.2.1-strict
  <br /><br />

</div>
---

> **IMPORTANT (STRICT VERSION):**  
> This branch is a strict testing version **derived from the master branch**.  
> - Not all **documentation** is fully up to date yet.  
> - The **examples** are also not completely updated to reflect the strict changes.  
>
>  Use this import statment in XML or XSD files to use this strict Version 
> ```xml    
><xs:import
>   namespace="https://ptb.de/si"
>   schemaLocation="https://gitlab1.ptb.de/d-ptb/d-si/xsd-d-si/-/raw/strict/SI_Format.xsd "/>
>```
>
>
>
> **Please note:** The master branch remains the primary and officially supported version.

---
<p>
This repository contains the XML Schema Definition (XSD), a documentation and examples for the D-SI (Digital System of Units). The XSD is licensed by Physikalisch-Technische Bundesanstalt under [GNU LGPL v3](/COPYING.LESSER). The documentation and examples are licenced by Physikalisch-Technische Bundesanstalt under [Creative Commons Attribution 4.0 International License](wiki/WIKI.LICENSE).
</p>

## Documentation

[>> Go To WIKI !Not free from depricated elements!](wiki/d-si-online-guide.md) to find documentation, examples and good practise

[>> D-SI Datamodel](https://doi.org/10.5281/zenodo.3816685)

## License

This repository contains the XML Schema Definition (XSD), a documentation and examples for the D-SI (Digital System of Units). 

The XSD is licensed by Physikalisch-Technische Bundesanstalt under [GNU LGPL v3](/COPYING.LESSER). 

The documentation and examples are licenced by Physikalisch-Technische Bundesanstalt under [Creative Commons Attribution 4.0 International License](wiki/WIKI.LICENSE).


## Liability

This XSD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
[GNU Lesser General Public License](/COPYING.LESSER) for more details.



## Access to D-SI XSD version 2.2.1

* D-SI XSD version 2.2.1 @ [https://www.ptb.de/si/v2.2.1/SI_Format.xsd](https://www.ptb.de/si/v2.2.1/SI_Format.xsd)

* Latest D-SI XSD version @ [https://www.ptb.de/si/SI_Format.xsd](https://www.ptb.de/si/SI_Format.xsd)

* XSD for D-SI example files [https://www.ptb.de/si/v2.2.1/examples/SI_Format_TestData.xsd](https://www.ptb.de/si/v2.2.1/examples/SI_Format_TestData.xsd)


## Development

The master branch contains the latest stable version. 








